REST APIWallet & TransactTransfer

GET

Returns transaction details (transfers, send queue items, transaction requests and pending approvals) for a transaction id, scoped to the wallets the requesting user has access to.

Path Params

  • txId string required
    The transaction ID to look up

    at least 1 characters

  • coin string required
    The cryptocurrency symbol (e.g. btc, eth)

Responses

200
OK

Response Body

object

  • transfers array of objects required
    transfers object
    • baseValue number
      The value (in base units) sent by this transfer, excluding network fees. BitGo is deprecating this field in the future.
    • baseValueString string
      The value (in base units) sent by this transfer, excluding network fees represented as a string. BitGo is deprecating this field in the future.

      matches ^-?\d+$

    • coin string required
      A cryptocurrency symbol or token ticker symbol
    • comment string nullable
      A comment from the user
    • date string date-time required
      The date this Transfer was last updated
    • enterprise string

      matches ^[0-9a-f]{32}$

    • organization string

      matches ^[0-9a-f]{32}$

    • bitgoOrg string enum
      BitGo TrustBitGo New YorkBitGo GermanyBitGo SwitzerlandBitGo Europe ApSFrankfurt DE TrustBitGo SingaporeBitGo KoreaBitGo Custody MENA FZEBitGo IndiaBitGo Sister Trust 1BitGo Inc
    • entries array of objects required
      entries object
      • address string required
        An address affected by this Transfer
      • valueString string
        The change (in base units) in the address' balance represented as a string

        matches "^-?\d+$"

      • isChange boolean
        True if this address is a change address (only exists for UTXO coins) and if this is a "send" transfer
      • wallet string
        Only visible when the user has access to the wallet

        matches ^[0-9a-f]{32}$

      • walletLabel string
        The label of the wallet referenced by wallet. Only visible when the user has access to that wallet. Useful for displaying a human-readable destination name (e.g. for sibling enterprise wallets) instead of a generic external-address fallback.
      • value number
        The change (in base units) in the address' balance
      • nftSymbol string
      • type string enum
        flushForwarderTokenswalletFundingwalletInitializationaddressInitializationimportedOutputonchainidWalletLinkedonchainidClaimAddedonchainidClaimRemovedAccountCreateContract
      • isPayGo boolean
        True if this address is the BitGo PayGo wallet
      • token string
        If this is a token entry, the token's symbol
      • failed boolean
        True if this entry is failed
      • associatedNativeCoinAddress string
        The native coin receive address associated with the solana ATA address. This is currently present only for BitGo addresses. This change was done so that there is a mapping between the two addresses in the transfer entries.
      • isFee boolean
        Indicates if this entry is a fee
      • isInternal boolean
        Indicates if this entry is internal
      • memo string
        Memo associated with this entry
      • rewardAddress string
        Reward address associated with this entry
      • subtype string
        Subtype of this entry
      • backingFeeString string
        Backing fee represented as a string
      • nftId string
        NFT ID associated with this entry
      • tokenContractHash string
        Token contract hash associated with this entry
      • isReward boolean
        Indicates if this entry is a reward
    • history array of objects required
      history object
      • action string enum required
        createdapprovedrejectedsignedunconfirmedconfirmedremovedcommentedfailedregeneratedreplacedreplacingreversedabandoned
      • comment string nullable
        If this history object is of action "commented", this is the comment from the user
      • date string date-time required
        The date of this history object
      • transferId string
        The ID of the transfer that this history object is associated with
      • txid string
        The transaction ID of the transaction that this history object is associated with
      • user string

        matches ^[0-9a-f]{32}$

    • id string required

      matches ^[0-9a-f]{32}$

    • pendingApproval string
    • state string enum required

      The state of the transfer. Includes the following:

      • confirmed: The transfer is confirmed on chain.
      • failed: BitGo failed to confirm the transfer on chain. You must retry the transaction.
      • initialized: The initial state when creating a transfer.
      • pendingApproval: The transfer requires admin approval to proceed.
      • rejected: The transfer was rejected by an admin.
      • removed: A network re-org occurred, causing the confirmed transfer to be removed from the blockchain.
      • replaced: The transfer was stuck due to having a low fee and was replaced by a new transfer with a higher fee.
      • reversed: The transfer was reversed (e.g., when a withdrawal offer is rejected in multi-step transfers).
      • signed: The transfer was approved by an admin (if required) and then signed by BitGo.
      • unconfirmed: The signed transaction was sent to the network, and is pending on-chain validation.
      initializedpendingApprovalrejectedsignedunconfirmedconfirmedremovedfailedreplacedreverseddeleted
    • stakingParams object
      stakingParams object
      • actionType string required
      • amount string
      • coreDao object
        coreDao object
        • amount string number required
        • expiration string date-time required
        • fee number required
        • rewardAddress string required
        • validator string required
        • version number required
      • receiverAddress string
      • requestId string required
      • resource string
      • source string enum
        externalinternal
      • validator string
    • txid string
      The on-chain transaction id
    • type string enum required
      Defines whether or not this Transfer was sent or received by the user
      sendreceive
    • usd number
      The amount of USD of this Transfer (will be negative if it's a send)
    • usdRate number
      The USD rate at the time this Transfer was created
    • medianUsdValue number
      The median USD value of this Transfer
    • medianUsdRate number
      The median USD rate at the time this Transfer was created
    • feeUsd number
      The fee USD value for token transfers
    • feeUsdRate number
      The fee coin USD rate for token transfers
    • value number
      The total value (in base units) sent by this Transfer (may be approximate for ETH and other coins where amounts in base units can exceed 2^53 - 1)
    • valueString string required
      The total value (in base units) sent by this Transfer represented as a String

      matches ^-?\d+$

    • wallet string required

      matches ^[0-9a-f]{32}$

    • walletType string enum
      Wallet type
      backingcoldcustodialcustodialPairedhotadvancedtrading
    • replaces array of strings
    • replacedBy array of strings
    • replacedByTransferId array of strings
    • riskIndicators array of string enums
      SELFDESTRUCT
    • baseValueWithoutFeesString string
      The value (in base units) sent by this transfer, excluding network fees, represented as a string
    • baseValueWithoutFees number
      The value (in base units) sent by this transfer excluding network fees.
    • coinSpecific object
      Transfer fields specific to each coin type
    • confirmations number
      The number of blocks that have been confirmed since this Transfer's block was confirmed
    • consolidateId string
      Consolidation ID if this transfer is part of a consolidation
    • feeString string nullable
      The Transfer's fee (in base units) represented as a String
    • feeCoin string
      The coin used to pay the fee (for cross-chain transactions)
    • sequenceId string
      Unique wallet identifier for preventing double-spends
    • subType string enum
      Transfer subtype
      ofc_depositofc_withdrawalofc_book_transferofc_exchangeofc_bn_settlement_transferofc_bn_allocationofc_trading_orderofc_trading_settlementofc_margin_collateralofc_margin_positionofc_direct_tradeofc_routedofc_feeofc_otherofc_unstakeofc_financing_liquidationreceive_from_gastankreserved_amountutxo_message_signingpending_depositpending_deposit_activityinternal_transferpending_withdrawal_offerpending_deposit_offeroffer_acceptedoffer_rejectedconfirmed_depositconfirmed_withdrawaldeposit_offer_expiredwithdrawal_offer_expiredwithdrawal_offer_rejectedutxo_expiredoffer_cancelledcancel_withdrawal_offermint_requestmint_offermint_acceptmint_depositmint_rejectburn_requestburn_offerburn_acceptburn_withdrawburn_rejectpending_participant_onboarding_requestparticipant_onboarding_acceptedcash_dvp_settledrepo_dvp_open_leg_settledrepo_dvp_close_leg_settledstaking_eth_withdrawalstaking_eth_partial_withdrawalstaking_eth_full_withdrawalstaking_eth_mev_rewardstaking_eth_block_rewardstaking_bera_withdrawalstaking_bera_block_reward
    • txRequestId string
      Associated transaction request ID
    • goStakingRequestId string
      Associated GO staking request ID
    • height number
      The height of the block this Transfer was confirmed in (999999999 if unconfirmed)
    • heightId string
      The unique height id of the block
    • instant boolean
      Whether this is an instant transaction
    • instantId string
      The instant transaction ID if applicable
    • isFee boolean
      Whether this transfer represents a fee
    • isReward boolean
      Whether this transfer represents a staking reward
    • isUnlock boolean
      Whether this transfer represents an unlock operation
    • nSegwitInputs number
      DEPRECATED. Number of segwit inputs on the transfer.
    • outputs array of objects
      outputs object
      • address string
        The address of the UTXO
      • blockHeight number
        The block this Unspent was created in
      • chain number
        The chain of the UTXO
      • coinbase boolean
        True if this unspent came from the coinbase transaction
      • id string
        The ID of the UTXO
      • index number
        The index of the UTXO
      • redeemScript string
        The redeem script of the UTXO
      • value number
        The value of the UTXO
      • witnessScript string
        The witness script of the UTXO
    • payGoFee number
      The Transfer's BitGo fee (in base units)
    • payGoFeeString string
      The Transfer's BitGo fee (in base units) represented as a String
    • inputs array of objects
      inputs object
      • address string
        The address of the UTXO
      • blockHeight number
        The block this Unspent was created in
      • chain number
        The chain of the UTXO
      • coinbase boolean
        True if this unspent came from the coinbase transaction
      • id string
        The ID of the UTXO
      • index number
        The index of the UTXO
      • redeemScript string
        The redeem script of the UTXO
      • value number
        The value of the UTXO
      • witnessScript string
        The witness script of the UTXO
    • intendedValueString string
      A string representation (in base units) of the initial value for the transfer. This is present because when a transaction fails on chain, its value is mutated to be zero. This string is immutable and will always be the intended value of the initial transfer regardless of the final state of the transaction.
    • label string
      Address labels (if any) from entries concatenated.
    • metadata array of objects
      metadata object
      • key string required
      • value string required
    • sendAccounting array of objects
      sendAccounting object
      • amount number
      • amountString string required
      • id string
      • nOuts number required
      • type string required
    • tags array of strings
    • txidType string
      The type of the transaction id
    • usersNotified boolean
      Whether BitGo already sent notifications to the users of the transfer wallet
    • vSize number
      The size of the transaction
    • walletLabel string
      Label of the wallet associated with this transfer
    • enterpriseName string
      Name of the enterprise associated with this transfer
    • elliptic string
      Elliptic risk score information (trust transfers)
    • senderInformationVerified boolean
      Whether sender information has been verified (trust transfers)
    • buildParams map of objects
      Parameters used to build the transaction
      buildParams object
      • <key> object
    • createdTime string date-time
      The time this transfer was created
    • approvedTime string date-time
      The time this transfer was approved
    • rejectedTime string date-time
      The time this transfer was rejected
    • signedTime string date-time
      The time this transfer was signed
    • unconfirmedTime string date-time
      The time this transfer became unconfirmed
    • confirmedTime string date-time
      The time this transfer was confirmed
    • removedTime string date-time
      The time this transfer was removed
    • commentedTime string date-time
      The time this transfer was commented on
    • failedTime string date-time
      The time this transfer failed
    • regeneratedTime string date-time
      The time this transfer was regenerated
    • replacedTime string date-time
      The time this transfer was replaced
    • replacingTime string date-time
      The time this transfer started replacing another
    • abandonedTime string date-time
      The time this transfer was abandoned
    • signedDate string date-time
      The date this transfer was signed (legacy field)
    • customerApprovedTime string date-time
      The time this transfer was approved by the customer (trust transfers)
    • idVerificationTime string date-time
      The time identity verification was completed (trust transfers)
    • trustSignedTime string date-time
      The time this transfer was signed by trust (trust transfers)
    • trustFinalApprovalTime string date-time
      The time this transfer received final trust approval (trust transfers)
  • sendQueue array of objects required
    sendQueue object
    • debugTa2Ta object
    • coin string required
      A cryptocurrency symbol or token ticker symbol
    • token string
    • state string enum required
      The status of this SendQueue item
      pendingattemptedfaileddonerevertedheldreplacedabandoned
    • user string required

      matches ^[0-9a-f]{32}$

    • wallet string

      matches ^[0-9a-f]{32}$

    • address string
    • enterprise string

      matches ^[0-9a-f]{32}$

    • pendingApprovalId string
    • createTime number required
      Number of milliseconds since January 1, 1970
    • modifyTime number required
      Number of milliseconds since January 1, 1970
    • expireTime number
    • submitHeight number
    • confirmHeight number
    • comment string
    • txType string
    • txid string required
      The on-chain transaction ID
    • tx string required
      Raw transaction (hex)
    • value number
      The total value (in base units) sent by this sendq transaction
    • valueString string required
      The total value (in base units) sent by this sendq transaction represented as a String

      matches ^-?\d+$

    • payGoFee number required
      The Transfer's BitGo fee (in base units)
    • payGoFeeString string required
      The Transfer's BitGo fee (in base units) represented as a String
    • attempts number required
      Number of transmission attempts
    • targetAttempts number required
      Max number of times to try transmitting
    • nextAttempt object required
    • instantId string
    • instant boolean
      Use instant sending (coin-specific) method if available
    • agent object required
      User agent used to submit the request
    • error string
      Error regarding the transaction
    • held boolean required
      Indicates that the transaction was held at some point
    • uniqueDoubleSpendPreventionIds array of strings required
    • coinSpecific object required
      Transaction fields specific to each coin type
    • deployment boolean required
    • lowPriority boolean
    • feesUsed object required
      Fees (depending on the coin) used for the tx
    • firstValidBlock number
    • lastValidBlock number
    • customNode object
      customNode object
      • accessToken string
      • nodeId string
      • url string
    • txRequestId string uuid
  • sendQueueUnconfirmedInputs array of objects required
    sendQueueUnconfirmedInputs object
    • debugTa2Ta object
    • coin string required
      A cryptocurrency symbol or token ticker symbol
    • token string
    • state string enum required
      The status of this SendQueue item
      pendingattemptedfaileddonerevertedheldreplacedabandoned
    • user string required

      matches ^[0-9a-f]{32}$

    • wallet string

      matches ^[0-9a-f]{32}$

    • address string
    • enterprise string

      matches ^[0-9a-f]{32}$

    • pendingApprovalId string
    • createTime number required
      Number of milliseconds since January 1, 1970
    • modifyTime number required
      Number of milliseconds since January 1, 1970
    • expireTime number
    • submitHeight number
    • confirmHeight number
    • comment string
    • txType string
    • txid string required
      The on-chain transaction ID
    • tx string required
      Raw transaction (hex)
    • value number
      The total value (in base units) sent by this sendq transaction
    • valueString string required
      The total value (in base units) sent by this sendq transaction represented as a String

      matches ^-?\d+$

    • payGoFee number required
      The Transfer's BitGo fee (in base units)
    • payGoFeeString string required
      The Transfer's BitGo fee (in base units) represented as a String
    • attempts number required
      Number of transmission attempts
    • targetAttempts number required
      Max number of times to try transmitting
    • nextAttempt object required
    • instantId string
    • instant boolean
      Use instant sending (coin-specific) method if available
    • agent object required
      User agent used to submit the request
    • error string
      Error regarding the transaction
    • held boolean required
      Indicates that the transaction was held at some point
    • uniqueDoubleSpendPreventionIds array of strings required
    • coinSpecific object required
      Transaction fields specific to each coin type
    • deployment boolean required
    • lowPriority boolean
    • feesUsed object required
      Fees (depending on the coin) used for the tx
    • firstValidBlock number
    • lastValidBlock number
    • customNode object
      customNode object
      • accessToken string
      • nodeId string
      • url string
    • txRequestId string uuid
  • txRequests array of objects required

    ONE OF

    • intent object
      The intent of the transaction request
    • unsignedTxs array of objects
      unsignedTxs object
      • parsedTx object required
        parsedTx object
        • inputs array of objects required
          inputs object
          • valueString string required
          • _id string
          • address string
          • chain number
          • derivationIndex number
          • index number
          • value number
        • minerFee string or number required
        • outputs array of objects required
          outputs object
          • valueString string required
          • address string
          • change boolean
          • coinName string
          • data string
          • isPayGo boolean
          • value number
          • wallet string
          • walletV1 string
          • baseAddress string
          • enterprise string
        • spendAmount string or number required
        • gasPrice number
        • hasUnvalidatedData boolean
        • payGoFee string or number
        • spendAmounts array of objects
          spendAmounts object
          • <key> object
        • type string
      • serializedTxHex string required
        The unsigned transaction as a hex string.
      • signableHex string required
        The portion of a transaction used to generate a signature (may or may not be the same as serializedTxHex) as a hex string.
      • derivationPath string
        A bip32 path.
      • coinSpecific object
        Coin specific information.
        coinSpecific object
        • nonceAddress string
        • stakingAddress string
        • signature string
        • <key> object
      • feeInfo object
        feeInfo object
        • fee string or number required
        • feeString string required
    • signatureShares array of objects
      signatureShares object
      • vssProof string
        The VSS proof of the signature share
      • privateShareProof string
        The private share proof
      • publicShare string
        The public share
      • from string enum required
        The source of the signature share.
        userbackupbitgo
      • to string enum required
        The recipient of the signature share.
        userbackupbitgo
      • share string required
        The signature share
    • commitmentShares array of objects
      commitmentShares object
      • type string enum required
        The type of the commitment share
        commitment
      • from string enum required
        The source of the commitment share
        userbackupbitgo
      • to string enum required
        The recipient of the commitment share.
        userbackupbitgo
      • share string required
        The commitment share.
    • txHashes array of strings
    • apiVersion string enum
      The API version of the transaction request
      litefull
    • txRequestId string uuid required
      A unique ID for the TxRequest document across all wallets. The combination of the txRequestId and version will always be unique.
    • idempotencyKey string
      The idempotency key of the transaction request
    • walletId string required
      The id of the Wallet the TxRequest is for.
    • walletType string enum
      The type describes who owns the keys to the wallet associated to the TxRequest.
      backingcoldcustodialcustodialPairedhotadvancedtrading
    • version number required
      The version of the transaction request
    • enterpriseId string
      If the wallet that owns the TxRequest is owned by an enterprise then this is the Id of said enterprise.

      matches ^[0-9a-f]{32}$

    • state string enum required
      pendingApprovalcanceledrejectedinitializedpendingDeliverydeliveredpendingUserSignaturependingUserCommitmentpendingUserRSharependingUserGSharereadyToSendsignedfailed
    • date string date-time required
      The date and time this version of the TxRequest document was created.
    • createdDate string date-time required
      The date and time the version 1 TxRequest document was created.
    • userId string required
      The Id of the User that produced this version of the TxRequest document. Could have created a new document or updated an existing document.
    • initiatedBy string required
      The Id of the User that originally created the TxRequest document (initiated the TxRequest).
    • updatedBy string required
      The Id of the User that last updated the TxRequest document. This is an alias for the userId field.
    • intent object
      The intent of the transaction request
    • intents array of objects required
    • pendingApprovalId string
      The id of the Pending Approval that was created for the TxRequest if one was required.
    • policiesChecked boolean
    • latest boolean required
      Indicates if this is the latest transaction request
    • isCanceled boolean
      True, if the transaction request is canceled.
  • pendingApprovals array of objects required
    pendingApprovals object
    • id string required

      matches ^[0-9a-f]{32}$

    • coin string
      A cryptocurrency or token ticker symbol.
    • wallet string

      matches ^[0-9a-f]{32}$

    • walletType string
    • walletSubType string
      The subtype of the wallet (e.g., custodialHot)
    • wallets array of strings
    • enterprise string

      matches ^[0-9a-f]{32}$

    • organization string

      matches ^[0-9a-f]{32}$

    • organizationName string
      The organization name
    • bitgoOrg string
      The BitGo organization
    • creator string required

      matches ^[0-9a-f]{32}$

    • createDate string date-time required
      The creation date of the pending approval
    • approvedDate string date-time
      The date when the approval was granted
    • updatedAt string date-time
      The date when the approval was last updated (any update, not just processing)
    • keyCurve string enum
      The key curve of the coin attached to this pending approval
      secp256k1ed25519bls12_381
    • info object required
      Information about the pending approval
      info object
      • type string enum required
        userChangeRequesttransactionRequesttransactionRequestFullpolicyRuleRequestupdateApprovalsRequiredRequestupdateEnterpriseRequestupdateOrganizationRequestgenericRequestenterpriseInviteRequestupdateWalletSettingRequest
      • userChangeRequest object
        userChangeRequest object
        • action string
          The action taken
        • permissions array of strings
        • userChanged string
          The user that changed
      • transactionRequest object
        transactionRequest object
        • buildParams object
          The build parameters for the transaction
        • coinSpecific object
          Coin-specific details
        • comment string nullable
          The comment for the transaction request
        • fee object
          The fee for the transaction
        • isUnsigned boolean nullable
          Indicates if the transaction is unsigned
        • policyUniqueId object
          The unique ID for the policy
        • recipients array of objects
          recipients object
          • address string
            The address of the recipient

            up to 250 characters

          • amount object
            The amount to be transferred
          • data string
            Additional data for the transaction
        • requestedAmount object
          The requested amount
        • sourceWallet object
          The source wallet
        • triggeredPolicy object
          The triggered policy for the transaction
        • validTransaction string
          Indicates if the transaction is valid
        • validTransactionHash string
          The hash of the valid transaction
        • verificationItems array of strings nullable
          The verification items for the transaction
        • verificationRuleId string nullable
          The ID of the verification rule
        • videoApprovers array of objects
      • transactionRequestFull object
        transactionRequestFull object
        • intent object
          The intent of the transaction request
          intent object
          • intentType string enum required
            paymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedelegateResourceundelegateResourceexportimportimporttoc
          • sequenceId string
            Client-assigned sequence identifier for idempotency.
          • comment string
            Human-readable memo attached to the transaction.
          • nonce string or number
            Override the on-chain nonce for this transaction.
          • recipients array of objects required
            recipients object
            • address object required
              address object
              • address string
              • option map of objects
                option object
                • <key> object
            • amount object required
              amount object
              • value string required
              • symbol string required
            • data string
        • policyUniqueId string
          The unique ID for the policy
        • txRequest object
          The transaction request details

          ONE OF

          • intent object
            The intent of the transaction request
          • unsignedTxs array of objects
            unsignedTxs object
            • parsedTx object required
              parsedTx object
              • Same shape as ParsedTx.
            • serializedTxHex string required
              The unsigned transaction as a hex string.
            • signableHex string required
              The portion of a transaction used to generate a signature (may or may not be the same as serializedTxHex) as a hex string.
            • derivationPath string
              A bip32 path.
            • coinSpecific object
              Coin specific information.
              coinSpecific object
              • nonceAddress string
              • stakingAddress string
              • signature string
              • <key> object
            • feeInfo object
              feeInfo object
              • fee string or number required
              • feeString string required
          • signatureShares array of objects
            signatureShares object
            • vssProof string
              The VSS proof of the signature share
            • privateShareProof string
              The private share proof
            • publicShare string
              The public share
            • from string enum required
              The source of the signature share.
              userbackupbitgo
            • to string enum required
              The recipient of the signature share.
              userbackupbitgo
            • share string required
              The signature share
          • commitmentShares array of objects
            commitmentShares object
            • type string enum required
              The type of the commitment share
              commitment
            • from string enum required
              The source of the commitment share
              userbackupbitgo
            • to string enum required
              The recipient of the commitment share.
              userbackupbitgo
            • share string required
              The commitment share.
          • txHashes array of strings
          • apiVersion string enum
            The API version of the transaction request
            litefull
          • txRequestId string uuid required
            A unique ID for the TxRequest document across all wallets. The combination of the txRequestId and version will always be unique.
          • idempotencyKey string
            The idempotency key of the transaction request
          • walletId string required
            The id of the Wallet the TxRequest is for.
          • walletType string enum
            The type describes who owns the keys to the wallet associated to the TxRequest.
            backingcoldcustodialcustodialPairedhotadvancedtrading
          • version number required
            The version of the transaction request
          • enterpriseId string
            If the wallet that owns the TxRequest is owned by an enterprise then this is the Id of said enterprise.

            matches ^[0-9a-f]{32}$

          • state string enum required
            pendingApprovalcanceledrejectedinitializedpendingDeliverydeliveredpendingUserSignaturependingUserCommitmentpendingUserRSharependingUserGSharereadyToSendsignedfailed
          • date string date-time required
            The date and time this version of the TxRequest document was created.
          • createdDate string date-time required
            The date and time the version 1 TxRequest document was created.
          • userId string required
            The Id of the User that produced this version of the TxRequest document. Could have created a new document or updated an existing document.
          • initiatedBy string required
            The Id of the User that originally created the TxRequest document (initiated the TxRequest).
          • updatedBy string required
            The Id of the User that last updated the TxRequest document. This is an alias for the userId field.
          • intent object
            The intent of the transaction request
          • intents array of objects required
          • pendingApprovalId string
            The id of the Pending Approval that was created for the TxRequest if one was required.
          • policiesChecked boolean
          • latest boolean required
            Indicates if this is the latest transaction request
          • isCanceled boolean
            True, if the transaction request is canceled.
        • txRequestId string uuid required
          The ID of the transaction request
        • verificationItems array of strings
        • verificationRuleId string
          The ID of the verification rule
        • videoApprovers array of strings
        • walletRebalanceEventId string
          The ID of the wallet rebalance event
      • policyRuleRequest object
        policyRuleRequest object
        • action string
          The action of the policy rule request
        • update object
          The update details of the policy rule request (single-wallet)
          update object
          • action object
            The action of the policy rule
            action object
            • type string enum required
              The type of the action
              denygetApprovalgetEnterpriseUserApprovalgetUserRoleApprovalgetAnyApprovalgetFinalApprovalgetVideoApprovalgetIdVerificationverifyWalletRebalancegetCustodianApprovalgetCustodialSignaturetriggerWebhookNotificationperformLivenessVerificationrecommendBackingWalletRoutinggetManualTrustReviewgetManualSupportReviewgetSupportManagerApprovalgetVideoApprovalFromSupport
            • userIds array of strings
          • coin string
            A cryptocurrency symbol or token ticker symbol
          • condition object
            The condition of the policy rule
          • generatePolicy boolean
            Should generate new whitelist policy when generatePolicy is undefined *
          • id string
            The ID of the policy rule
          • lockDate string date
          • type string enum
            The type of the API rule
            advancedWhitelistcoinAddressWhitelistcoinAddressBlacklist
          • walletId string
            Optional walletId field for multi-wallet updates
        • updates array of objects
          updates object
          • action object
            The action of the policy rule
            action object
            • type string enum required
              The type of the action
              denygetApprovalgetEnterpriseUserApprovalgetUserRoleApprovalgetAnyApprovalgetFinalApprovalgetVideoApprovalgetIdVerificationverifyWalletRebalancegetCustodianApprovalgetCustodialSignaturetriggerWebhookNotificationperformLivenessVerificationrecommendBackingWalletRoutinggetManualTrustReviewgetManualSupportReviewgetSupportManagerApprovalgetVideoApprovalFromSupport
            • userIds array of strings
          • coin string
            A cryptocurrency symbol or token ticker symbol
          • condition object
            The condition of the policy rule
          • generatePolicy boolean
            Should generate new whitelist policy when generatePolicy is undefined *
          • id string
            The ID of the policy rule
          • lockDate string date
          • type string enum
            The type of the API rule
            advancedWhitelistcoinAddressWhitelistcoinAddressBlacklist
          • walletId string
            Optional walletId field for multi-wallet updates
      • updateApprovalsRequiredRequest object
        updateApprovalsRequiredRequest object
        • requestedApprovalsRequired number
          The number of requested approvals required
      • updateEnterpriseRequest object
        updateEnterpriseRequest object
        • action string enum
          addupdateremove
        • email string
          The email of the user
        • isVideoIdUser boolean
          Indicates if the user is a video ID user
        • permissions string enum
          The permissions associated with the update
          adminauditor
        • userId string
          The ID of the user
      • updateOrganizationRequest object
        updateOrganizationRequest object
        • action string enum
          addupdateremove
        • email string
          The email of the user
        • inviterInfo object
          CaaS org add-invite only (POST /api/v2/organization/{orgId}/user); UMS org user changes use genericRequest.
          inviterInfo object
          • email string required
          • fullName string required
          • id string required
        • role string enum
          The role of the user in the organization
          serviceUseradminmembercustomer
        • userId string
          The ID of the user
      • genericRequest object
        genericRequest object
        • anchors array of objects
          anchors object
          • anchorType string enum required
            The type of the anchor
            policyRuleIdsettlementIdcrossChainRecoveryId
          • key string required
            The key of the anchor
          • value string required
            The value of the anchor
        • changeType string enum
          The type of change requested
          createupdatedeleteunlockbulkUnlockbulkArchiveduplicate
        • currentId string
          The current ID associated with the request
        • description string
          The description of the request
        • metadata map of objects
          The metadata of the request
          metadata object
          • <key> string or number or boolean or array of strings
        • proposedId string
          The proposed ID associated with the request
        • resources array of objects
          resources object
          • currentId string
          • metadata map of objects
            metadata object
            • <key> string or number or boolean or array of strings
          • proposedId string
        • resourceType string
          The resource type of the request
      • enterpriseInviteRequest object
        enterpriseInviteRequest object
        • action string enum
          addupdateremove
        • email string
          The email of the user
        • enterpriseInfo object
          Additional info used by the client accepting the invite
          enterpriseInfo object
          • id string required
          • invitedBy object required
            Inviter snapshot on CaaS org add-invite inviterInfo and enterprise invite invitedBy. Not used for UMS genericRequest.
            invitedBy object
            • id string required
            • email string required
            • fullName string required
          • name string required
          • requiredVerificationStep string required
          • userKycState string
        • isVideoIdUser boolean
          Indicates if the user is a video ID user
        • permissions string enum
          The permissions associated with the invite
          adminauditor
        • userId string
          The ID of the user
      • updateWalletSettingRequest object
        updateWalletSettingRequest object
        • userKeySigningRequired object
          userKeySigningRequired object
          • newValue boolean required
          • oldValue boolean required
    • state object required
      The state of the pending approval
    • scope string enum required
      What kind of entity the Pending Approval is tied to
      enterprisewalletorganizationglobal
    • userIds array of strings
    • approvalsRequired number

      >= 1

    • walletLabel string
      Label for the wallet
    • addressLabels array of objects
      addressLabels object
      • address string required

        up to 250 characters

      • label string required
        The label
      • walletLabel string
        The wallet label
    • resolvers array of objects
      resolvers object
      • autoApproved boolean
        Whether the resolution was auto approved
      • date string date-time
        The date of resolution
      • resolutionAction string enum
        Action taken during resolution
        approverejectskipfail
      • resolutionMemo string
        Memo regarding the resolution
      • resolutionType string enum required
        The type of resolution
        pendingawaitingSignaturependingFinalApprovalpendingCustodianApprovalpendingVideoApprovalpendingIdVerificationpendingLivenessVerificationpendingManualTrustReviewpendingManualSupportReviewpendingVideoApprovalFromSupport
      • user string
        The user who resolved the approval
      • videoApprover string
        The approver of the video resolution
      • videoException string
        Exception details for the video
      • videoLink string
        Link to the resolution video
    • approvers array of strings
    • singleRunResults array of objects
      singleRunResults object
      • ruleId string
        The rule ID
      • triggered boolean
        Whether the rule was triggered
    • txRequestId string uuid
      Transaction request ID
    • videoId object
      ID for the video related to the approval
      videoId object
      • date string date-time
        The date of the video ID
      • user string
        The user associated with the video ID
      • videoApprover string
        The approver of the video
      • videoException string
        The exception related to the video
      • videoLink string
        The link to the video
    • version number
      Version of the pending approval
    • policyEvaluationId string
      ID for the policy evaluation
    • actions array of objects
      actions object
      • approvers array of strings
      • excludedApprovers array of strings
      • id string required
        The ID of the action
      • name string required
        The name of the action
      • operator string enum
        The operator of the action
        ANDOR
      • parameters object required
        The parameters of the action
        parameters object
        • minRequired string or number
        • userIds array of strings
        • initiatorIsAllowedToApprove boolean
        • webhookURL string

          at least 1 characters

        • livenessCheckUser string enum
          transactionInitiatorwalletAdminsvideoIdUsersenterpriseAdmin
        • isFallback boolean
        • walletSubtype string enum
          custodialColdcustodialHotlightningCustody
        • userRoleIds array of strings
      • resolvers array of objects
        resolvers object
        • autoApproved boolean
          Whether the resolution was auto approved
        • date string date-time
          The date of resolution
        • resolutionAction string enum
          Action taken during resolution
          approverejectskipfail
        • resolutionMemo string
          Memo regarding the resolution
        • resolutionType string enum required
          The type of resolution
          pendingawaitingSignaturependingFinalApprovalpendingCustodianApprovalpendingVideoApprovalpendingIdVerificationpendingLivenessVerificationpendingManualTrustReviewpendingManualSupportReviewpendingVideoApprovalFromSupport
        • user string
          The user who resolved the approval
        • videoApprover string
          The approver of the video resolution
        • videoException string
          Exception details for the video
        • videoLink string
          Link to the resolution video
      • status string enum required
        The status of the action
        SKIPPEDPENDINGNOT_NEEDEDCOMPLETECANCELLEDFAILEDAUTO_CANCELLED
    • resolutionOrder array of objects
      resolutionOrder object
      • actions array of strings required
    • useLegacyPolicyEngine boolean
      Flag to use legacy policy engine
    • videoCallId string
      ID for the video call
    • lastUpdated string date-time
      The last date the approval was processing
    • freeze object
      The freeze state
      freeze object
      • actions array of objects
        actions object
        • reason string
        • state string enum
          frozenunFrozen
        • time string date-time
        • userId string
        • username string
      • state string enum
        frozenunFrozen
    • memo array of objects
      memo object
      • text string required
        The text of the memo
      • time string date-time required
        The time the memo was created
      • userId string required
        The user ID of the admin who created the memo
      • username string required
        The username of the admin who created the memo
    • associatedInquiries array of objects
      associatedInquiries object
      • inquiryId string required
      • inquiryStatus string enum required
        completedfailed
      • inquirySubType string enum required
        withdrawalLivenessCheckmanagePolicyLivenessCheck
      • inquiryType string enum required
        livenessCheck
401
Unauthorized

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
403
Forbidden

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
404
Not Found

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
500
Internal Server Error

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id